import 'package:json_annotation/json_annotation.dart';
part 'client.g.dart';

/// An annotation for the code generator to know that this class needs the
/// JSON serialization logic to be generated.
@JsonSerializable()

class Client {
  Client(this.id, this.company, this.logoUrl);

  int id;
  String company;

  @JsonKey(name: 'logo_url')
  String logoUrl;

  factory Client.fromJson(Map<String, dynamic> json) => _$ClientFromJson(json);
  Map<String, dynamic> toJson() => _$ClientToJson(this);
}
