import 'package:json_annotation/json_annotation.dart';
part 'delivery_reason.g.dart';

@JsonSerializable()

class DeliveryReason {
  DeliveryReason(this.status, this.code, this.title, this.remarkRequired, this.photoRequired, {this.remark, this.terminal});
  final String status;
  final String code;
  final String title;
  @JsonKey(name: 'remark_required')
  final bool remarkRequired;
  @JsonKey(name: 'photo_required')
  final bool photoRequired;
  String remark;
  final bool terminal;

  factory DeliveryReason.fromJson(Map<String, dynamic> json) => _$DeliveryReasonFromJson(json);
  Map<String, dynamic> toJson() => _$DeliveryReasonToJson(this);
}