import 'package:json_annotation/json_annotation.dart';
part 'dimension.g.dart';

@JsonSerializable()

class Dimension {
  Dimension(this.width, this.height, this.length, this.unit);

  final double width;
  final double height;
  final double length;
  final String unit;

  factory Dimension.fromJson(Map<String, dynamic> json) => _$DimensionFromJson(json);
  Map<String, dynamic> toJson() => _$DimensionToJson(this);
}