import 'package:axlehire_flutter_model/src/address.dart';
import 'package:axlehire_flutter_model/src/geolocation.dart';
import 'package:json_annotation/json_annotation.dart';
part 'event_location.g.dart';

@JsonSerializable()

class EventLocation {
  EventLocation(this.address, this.geolocation);

  final Address address;
  final Geolocation geolocation;

  factory EventLocation.fromJson(Map<String, dynamic> json) => _$EventLocationFromJson(json);
  Map<String, dynamic> toJson() => _$EventLocationToJson(this);
}