import 'package:json_annotation/json_annotation.dart';
part 'event_processing_result.g.dart';

@JsonSerializable()

class EventProcessingResult {
  EventProcessingResult(this.status, this.message, this.description);

  final int status;
  final String message;
  final String description;

  factory EventProcessingResult.fromJson(Map<String, dynamic> json) => _$EventProcessingResultFromJson(json);
  Map<String, dynamic> toJson() => _$EventProcessingResultToJson(this);
}