import 'package:json_annotation/json_annotation.dart';

part 'messenger_notification.g.dart';

@JsonSerializable()
class MessageNotification {
  String title;
  String message;
  String route;
  Map<String, dynamic> metadata;


  MessageNotification(this.title, this.message, this.route, this.metadata);

  factory MessageNotification.fromJson(Map<String, dynamic> json) => _$MessageNotificationFromJson(json);

  Map<String, dynamic> toJson() => _$MessageNotificationToJson(this);
}