import 'package:json_annotation/json_annotation.dart';
part 'paystub_breakdown_type.g.dart';

@JsonSerializable()

class BreakdownType {
  @JsonKey(name: "type")
  String type;
  @JsonKey(name: "status")
  String status;
  @JsonKey(name: "transaction_count")
  int transactionCount;
  @JsonKey(name: "amount")
  double amount;


  BreakdownType(this.type, this.status, this.transactionCount, this.amount);

  factory BreakdownType.fromJson(Map<String, dynamic> json) => _$BreakdownTypeFromJson(json);
  Map<String, dynamic> toJson() => _$BreakdownTypeToJson(this);
}

