import 'package:axlehire_flutter_model/src/mixin/attributes.dart';
import 'package:axlehire_flutter_model/src/uid.dart';
import 'package:json_annotation/json_annotation.dart';
part 'reference.g.dart';

@JsonSerializable()

class Reference with AttributesMixin {
  Reference(this.uid);

  final UID uid;

  factory Reference.fromJson(Map<String, dynamic> json) => _$ReferenceFromJson(json);
  Map<String, dynamic> toJson() => _$ReferenceToJson(this);
}