class Either<L, R> {
  Either._internal(this.left, this.right);

  final L left;
  final R right;

  factory Either.fromLeft(L l) => Either._internal(l, null);
  factory Either.fromRight(R r) => Either._internal(null, r);
}