import 'package:axlehire_flutter_model/src/uid.dart';

class UIDFactory {
  static stopUID(int id) => UID('ST', id.toString());
  static shipmentUID(int id) => UID('SH', id.toString());
  static parcelUID(String id) => UID('PA', id);
  static assignmentUID(int id) => UID('AS', id.toString());
  static applicationUID(String id) => UID('AP', id);
  static driverUID(int id) => UID('DR', id.toString());
  static userUID(int id) => UID('US', id.toString());
}