import 'package:axlehire_flutter_model/src/reference.dart';
import 'package:flutter_test/flutter_test.dart';
import 'dart:convert';

void main() {
  test('serialize/deserialize reference', () {
    String raw = '{"attributes":{"a":"1"},"uid":"SH_123"}';
    Reference ref = Reference.fromJson(jsonDecode(raw));
    expect(ref.uid.type, 'SH');
    expect(ref.uid.id, '123');
    expect(ref.attributes['a'], '1');
    expect(jsonEncode(ref.toJson()), raw);
  });
}
