import 'package:json_annotation/json_annotation.dart';
part 'driver.g.dart';

@JsonSerializable()

class Driver {
  Driver(this.id);

  final int id;

  @JsonKey(name: 'user_name')
  String userName;

  String photo;
  
  @JsonKey(name: 'first_name')
  String firstName;
  @JsonKey(name: 'middle_name')
  String middleName;
  @JsonKey(name: 'last_name')
  String lastName;
  @JsonKey(name: 'phone_number')
  String phoneNumber;
  String email;
  String birthday;
  @JsonKey(name: 'vehicle_type')
  String vehicleType;
  @JsonKey(name: 'vehicle_year')
  int vehicleYear;
  @JsonKey(name: 'vehicle_make')
  String vehicleMake;
  @JsonKey(name: 'vehicle_model')
  String vehicleModel;
  @JsonKey(name: 'vehicle_color')
  String vehicleColor;
  @JsonKey(name: 'vehicle_license_plate')
  String vehicleLicensePlate;
  @JsonKey(name: 'vehicle_license_state')
  String vehicleLicensePlateState;
  @JsonKey(name: 'driver_license')
  String driverLicense;
  @JsonKey(name: 'driver_license_state')
  String driverLicenseState;
  @JsonKey(name: 'bank_account')
  String bankAccount;
  @JsonKey(name: 'bank_routing')
  String bankRouting;
  @JsonKey(name: 'agreement_url')
  String agreementUrl;

  factory Driver.fromJson(Map<String, dynamic> json) => _$DriverFromJson(json);
  Map<String, dynamic> toJson() => _$DriverToJson(this);

}