import 'package:json_annotation/json_annotation.dart';

part 'driver_schedule.g.dart';

@JsonSerializable()

class DriverSchedule {
  DriverSchedule(this.id, this.targetDate, this.bookingStartTime);

  String id;
  String name;
  String description;

  @JsonKey(name: 'target_date')
  final DateTime targetDate;

  @JsonKey(name: 'booking_start_time')
  final DateTime bookingStartTime;

  factory DriverSchedule.fromJson(Map<String, dynamic> json) => _$DriverScheduleFromJson(json);
  Map<String, dynamic> toJson() => _$DriverScheduleToJson(this);
}