import 'package:json_annotation/json_annotation.dart';
part 'geolocation.g.dart';

@JsonSerializable()

class Geolocation {
  Geolocation(this.latitude, this.longitude, this.altitude);
  
  final double latitude;
  final double longitude;
  final double altitude;

  factory Geolocation.fromJson(Map<String, dynamic> json) => _$GeolocationFromJson(json);
  Map<String, dynamic> toJson() => _$GeolocationToJson(this);
}