import 'package:json_annotation/json_annotation.dart';

part 'messenger_activity_log.g.dart';

@JsonSerializable()
class ActivityLog {
  String id;
  @JsonKey(name: "user_id")
  int userId;
  @JsonKey(name: "message_id")
  String msgId;
  @JsonKey(name: "topic_id")
  String topicId;
  String activity;
  String ts;


  ActivityLog({this.id, this.userId, this.msgId, this.topicId, this.activity,
    this.ts});

  factory ActivityLog.fromJson(Map<String, dynamic> json) => _$ActivityLogFromJson(json);

  Map<String, dynamic> toJson() => _$ActivityLogToJson(this);


}