import 'dart:convert';

import 'package:json_annotation/json_annotation.dart';
part 'messenger_reaction.g.dart';

@JsonSerializable()
class Reaction {
  @JsonKey(name: "id")
  String id;
  @JsonKey(name: "user_id")
  int userId;
  @JsonKey(name: "message_id")
  String messageId;
  @JsonKey(name: "opinion_code")
  int opinionCode;
//  @JsonKey(name: "emoji")
//  String emoji;
  @JsonKey(name: "comment")
  String comment;
  @JsonKey(name: "ts")
  String ts;

  Reaction(this.opinionCode, {this.id, this.userId, this.messageId,
    this.comment, this.ts});

  factory Reaction.fromJson(Map<String, dynamic> json) => _$ReactionFromJson(json);

  Map<String, dynamic> toJson() => _$ReactionToJson(this);


//  Reaction.fromString(dynamic object) {
//    if (object != null) {
//      var map = Map<String, dynamic>();
//      if (object is String) {
//        map = json.decode(object);
//      } else {
//        map = object as Map<String, dynamic>;
//      }
//      this.id = map[id_field];
//      this.userId = map[user_id_field];
//      this.messageId = map[message_id_field];
//      this.opinionCode = map[opinion_code_field];
////      this.emoji = map[emoji_field];
//      this.comment = map[comment_field];
//      this.tsTime = map[ts_field];
//
//    }
//  }
//
//  Map<String, dynamic> toMap() {
//    return {
//      id_field : this.id ?? '',
//      user_id_field: this.userId ?? -1,
//      message_id_field: this.messageId ?? '',
//      opinion_code_field: this.opinionCode ?? -1,
////      emoji_field: this.emoji ?? '',
//      comment_field: this.comment ?? '',
//      ts_field : this.tsTime ?? ''
//    };
//  }
//
//  String toJsonString() {
//    return json.encode(toMap());
//  }

}