import 'package:axlehire_flutter_model/src/paystub.dart';
import 'package:json_annotation/json_annotation.dart';
part 'payroll_summary.g.dart';

@JsonSerializable()
class PayRollSummary {
  @JsonKey(name: "paystubs")
  List<PayStub> payStubs;


  PayRollSummary(this.payStubs);

  factory PayRollSummary.fromJson(Map<String, dynamic> json) => _$PayRollSummaryFromJson(json);
  Map<String, dynamic> toJson() => _$PayRollSummaryToJson(this);
}
