
import 'package:json_annotation/json_annotation.dart';
part 'payroll_transaction.g.dart';

@JsonSerializable()

class Transaction {
  @JsonKey(name: "id")
  int id;
  @JsonKey(name: "amount")
  double amount;
  @JsonKey(name: "type")
  String type;
  @JsonKey(name: "status")
  String status;

  Transaction(this.id, this.amount, this.type, this.status);

  factory Transaction.fromJson(Map<String, dynamic> json) => _$TransactionFromJson(json);
  Map<String, dynamic> toJson() => _$TransactionToJson(this);
}
