import 'package:axlehire_flutter_model/src/paystub_breakdown_type.dart';
import 'package:json_annotation/json_annotation.dart';
part 'paystub_breakdown.g.dart';

@JsonSerializable()

class Breakdown {
  @JsonKey(name: "by_type")
  List<BreakdownType> breakdownsByType;
  @JsonKey(name: "by_status")
  List<BreakdownType> breakdownsByStatus;
  @JsonKey(name: "total")
  BreakdownType breakdownTotal;

  Breakdown(this.breakdownsByType, this.breakdownsByStatus, this.breakdownTotal);

  factory Breakdown.fromJson(Map<String, dynamic> json) => _$BreakdownFromJson(json);
  Map<String, dynamic> toJson() => _$BreakdownToJson(this);
}

