import 'package:json_annotation/json_annotation.dart';

import 'package:json_annotation/json_annotation.dart';
part 'proxy_number.g.dart';

@JsonSerializable()

class ProxyPhoneNumber {
  ProxyPhoneNumber(this.sessionId, this.createdDate, this.expiredIn, this.proxiedPhoneNumber);
  @JsonKey(name: "session_id")
  final String sessionId;
  @JsonKey(name: "created_date")
  final DateTime createdDate;
  @JsonKey(name: "expired_in")
  final int expiredIn;
  @JsonKey(name: "proxied_phone_number")
  final String proxiedPhoneNumber;

  factory ProxyPhoneNumber.fromJson(Map<String, dynamic> json) => _$ProxyPhoneNumberFromJson(json);
  Map<String, dynamic> toJson() => _$ProxyPhoneNumberToJson(this);

}