import 'package:json_annotation/json_annotation.dart';
part 'shipment_label.g.dart';

/// An annotation for the code generator to know that this class needs the
/// JSON serialization logic to be generated.
@JsonSerializable()

class ShipmentLabel {
  ShipmentLabel(this.shipmentId, this.driverLabel);

  @JsonKey(name: 'shipment_id')
  int shipmentId;

  @JsonKey(name: "driver_label")
  final String driverLabel;

  factory ShipmentLabel.fromJson(Map<String, dynamic> json) => _$ShipmentLabelFromJson(json);
  Map<String, dynamic> toJson() => _$ShipmentLabelToJson(this);
}
