class UID {
  UID(
    this.type,
    this.id
  );

  final String type;
  final String id;

  factory UID.fromJson(String raw) {
    List<String> components = raw.split('_');
    String type = components[0];
    String id;
    if (components.length > 1) {
      id = components.sublist(1).join('_');
    }
    return new UID(type, id);
  }

  String toJson() => type + '_' + id;
}