import 'package:flutter_test/flutter_test.dart';
import 'dart:convert';

import 'package:axlehire_flutter_model/axlehire_model.dart';

void main() {
  test('deserialize stop', () {
    String raw = '{"id":12, "predicted_arrival_ts": "2019-08-07T06:05:00Z"}';
    Stop stop = Stop.fromJson(jsonDecode(raw));
    expect(stop.id, 12);
    expect(stop.predictedArrivalTs.day, 7);
    expect(stop.predictedArrivalTs.hour, 6);
  });
}
